Subject: bug#64980: 29.1; Context menu must be held on Lucid toolkit

From: Ramon Diaz-Uriarte <[email-masked]>
Date: Thu, 26 Dec 2024 19:53:48 +0100

>   I am using the graphical version of GNU Emacs 29.1, compiled with
>   the Lucid (Athena) toolkit and downloaded straight from upstream,
>   without using a downstream distribution package.
>
>   When enabling context-menu mode, the menu seems to close right
>   away when the right mouse button is released.  I need to hold the
>   button down to keep the context menu open.

(...)

> The bug is easily reproducible from 'emacs -Q': start Emacs,
> enable Context menu mode via 'M-x context-menu-mode' and try
> opening the context menu with the right click button.

I am also experiencing this issue with Emacs 30.0.93:
GNU Emacs 30.0.93 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo version 1.18.2, Xaw scroll bars) of 2024-12-26

Best,

R.
--

Ramon Diaz-Uriarte